Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.invocation.pooled.server
Interface PooledInvokerMBean

All Superinterfaces:
  org.jboss.system.Service, org.jboss.system.ServiceMBean

All Known Implementing Classes:
  PooledInvoker

public interface PooledInvokerMBean
extends org.jboss.system.ServiceMBean

MBean interface.

Field Summary

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`int` | `getBacklog()`
`String` | `getClientConnectAddress()`
`int` | `getClientConnectPort()`
`int` | `getClientMaxPoolSize()` Getter for property maxPoolSize;
`int` | `getCurrentClientPoolSize()`
`int` | `getCurrentThreadPoolSize()`
`int` | `getMaxPoolSize()` Getter for property maxPoolSize;
`int` | `getNumAcceptThreads()` Getter for property numAcceptThreads
`PooledInvokerProxy` | `getOptimizedInvokerProxy()`
`String` | `getServerBindAddress()`
`int` | `getServerBindPort()` Getter for property serverBindPort.
`int` | `getSocketTimeout()` Getter for property timeout
`javax.management.ObjectName` | `getTransactionManagerService()` mbean get-set pair for field transactionManagerService Get the value of transactionManagerService
`boolean` | `isEnableTcpNoDelay()`
`void` | `setBacklog(int backlog)`
`void` | `setClientConnectAddress(String clientConnectAddress)`
`void` | `setClientConnectPort(int clientConnectPort)`
`void` | `setClientMaxPoolSize(int clientMaxPoolSize)` Setter for property maxPoolSize.
`void` | `setEnableTcpNoDelay(boolean enableTcpNoDelay)`
`void` | `setMaxPoolSize(int maxPoolSize)` Setter for property maxPoolSize.
`void` | `setNumAcceptThreads(int size)` Setter for property numAcceptThreads
`void` | `setServerBindAddress(String serverBindAddress)`
`void` | `setServerBindPort(int serverBindPort)` Setter for property serverBindPort.
`void` | `setSocketTimeout(int time)` Setter for property timeout
`void` | `setTransactionManagerService(javax.management.ObjectName transactionManagerService)` Set the value of transactionManagerService

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Method Detail

### getNumAcceptThreads

    public int getNumAcceptThreads()

  Getter for property numAcceptThreads

  Returns:
    Value of property numAcceptThreads

### setNumAcceptThreads

    public void setNumAcceptThreads(int size)

  Setter for property numAcceptThreads

  Parameters:
    `size` - New value of property numAcceptThreads.

### getMaxPoolSize

    public int getMaxPoolSize()

  Getter for property maxPoolSize;

  Returns:
    Value of property maxPoolSize.

### setMaxPoolSize

    public void setMaxPoolSize(int maxPoolSize)

  Setter for property maxPoolSize.

  Parameters:
    `maxPoolSize` - New value of property serverBindPort.

### getClientMaxPoolSize

    public int getClientMaxPoolSize()

  Getter for property maxPoolSize;

  Returns:
    Value of property maxPoolSize.

### setClientMaxPoolSize

    public void setClientMaxPoolSize(int clientMaxPoolSize)

  Setter for property maxPoolSize.

  Parameters:
    `clientMaxPoolSize` - New value of property serverBindPort.

### getSocketTimeout

    public int getSocketTimeout()

  Getter for property timeout

  Returns:
    Value of property timeout

### setSocketTimeout

    public void setSocketTimeout(int time)

  Setter for property timeout

  Parameters:
    `time` - New value of property timeout

### getCurrentClientPoolSize

    public int getCurrentClientPoolSize()

### getCurrentThreadPoolSize

    public int getCurrentThreadPoolSize()

### getServerBindPort

    public int getServerBindPort()

  Getter for property serverBindPort.

  Returns:
    Value of property serverBindPort.

### setServerBindPort

    public void setServerBindPort(int serverBindPort)

  Setter for property serverBindPort.

  Parameters:
    `serverBindPort` - New value of property serverBindPort.

### getClientConnectAddress

    public String getClientConnectAddress()

### setClientConnectAddress

    public void setClientConnectAddress(String clientConnectAddress)

### getClientConnectPort

    public int getClientConnectPort()

### setClientConnectPort

    public void setClientConnectPort(int clientConnectPort)

### getBacklog

    public int getBacklog()

### setBacklog

    public void setBacklog(int backlog)

### isEnableTcpNoDelay

    public boolean isEnableTcpNoDelay()

### setEnableTcpNoDelay

    public void setEnableTcpNoDelay(boolean enableTcpNoDelay)

### getServerBindAddress

    public String getServerBindAddress()

### setServerBindAddress

    public void setServerBindAddress(String serverBindAddress)

### getTransactionManagerService

    public javax.management.ObjectName getTransactionManagerService()

  mbean get-set pair for field transactionManagerService Get the value of transactionManagerService

  Returns:
    value of transactionManagerService

### setTransactionManagerService

    public void setTransactionManagerService(javax.management.ObjectName transactionManagerService)

  Set the value of transactionManagerService

  Parameters:
    `transactionManagerService` - Value to assign to transactionManagerService

### getOptimizedInvokerProxy

    public PooledInvokerProxy getOptimizedInvokerProxy()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.